petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSpaceSetNumVariables

Set the number of variables for this space

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSetNumVariables(PetscSpace sp, PetscInt n)

### Input Parameters

| sp | - The PetscSpace
| n | - The number of variables, e.g. x, y, z...

### See Also

PetscSpaceGetNumVariables(), PetscSpaceSetNumComponents(), PetscSpaceCreate(), PetscSpace

### Level

intermediate

### Location

src/dm/dt/space/interface/space.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages